Subject: Re: PINE piping into Zmodem

From: [email-masked] (R. Stewart Ellis)
Date: 27 Sep 1996 13:27:31 GMT

Bill Gostin <[email-masked]> writes:

 >I'm reading a msg in a newsgroup.  I wish to download it using Zmodem.
 >Is there a way to pipe it into rz/sz?

 >(I currently have to save it into a file, exit PINE, download it, re-enter
 >PINE.  Of course I lose my place where I was last reading.)

It sounds like you are running on a UNIX box.  If you are using the right
shell (ksh, bash, tcsh zsh), then UNIX has the ability to pause the current
job, usually with a ^Z.  This has to be turned on in pine, either in the
system-wide pine.conf or in the users own setup.  When you get finished at
the UNIX prompt with whatever other jobs you are doing, you can type 'fg' to
get back to the background job.  If you forget the background job, or if you
have more than one, then you can see what jobs are in the bg by typing
'jobs'.  You can fg any job in the list by typing 'fg %n' where n is the
integer number returned by 'jobs'.

Back to the original Q, I am not sure recent versions of rzsz will accept
redirected input as the author CAF began altering the code in about 1988-9
to prevent that kind of usage.

If the text is onscreen, most terminal programs have a logging ability.

-- 
  R.Stewart(Stew) Ellis, Assoc.Prof., (Off)810-762-9765   ___________________
  Humanities & Social Science,  GMI Eng.& Mgmt.Inst. ()  /   _____  ______
  Flint, MI 48504    Free speech and free software!  /\ /        / /  /  / /
  Web admin:  http://www.gmi.edu/      [email-masked]   /________/ /  /  / /